phonon-backend-gstreamer_4.9.0-1_i386.deb


Advertisement

Description

phonon-backend-gstreamer - Phonon GStreamer 1.0 backend

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name phonon-backend-gstreamer
Package version 4.9.0
Package release 1
Package architecture i386
Package type deb
Installed size 485 B
Download size 134.41 KB
Official Mirror archive.ubuntu.com
This package contains GStreamer 1.0 backend for Phonon multimedia
framework. It transparently adapts and reroutes all requests from Phonon
applications to the GStreamer framework which in turn performs requested
audio/video decoding/capture tasks.
You should install gstreamer1.0-plugins-good to get support for playing
popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
for popular MPEG audio formats like MP3.

Alternatives

Package Version Architecture Repository
phonon-backend-gstreamer_4.9.0-1_amd64.deb 4.9.0 amd64 Ubuntu Universe
phonon-backend-gstreamer - - -

Requires

Name Value
gstreamer1.0-alsa -
gstreamer1.0-audiosink -
gstreamer1.0-plugins-base -
gstreamer1.0-pulseaudio -
libc6 >= 2.4
libgcc1 >= 1:3.0
libgl1 -
libgl1-mesa-glx -
libglib2.0-0 >= 2.41.1
libgstreamer-plugins-base1.0-0 >= 1.0.0
libgstreamer1.0-0 >= 1.0.0
libphonon4 >= 4:4.7.1~
libqt4-opengl >= 4:4.8.1
libqtcore4 >= 4:4.8.1
libqtgui4 >= 4:4.8.1
libstdc++6 >= 5.2
phonon-backend-gstreamer-common = 4:4.9.0-1

Provides

Name Value
phonon-backend -

Download

Type URL
Binary Package phonon-backend-gstreamer_4.9.0-1_i386.deb
Source Package phonon-backend-gstreamer

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install phonon-backend-gstreamer deb package:
    # sudo apt-get install phonon-backend-gstreamer

Files

Path
/usr/lib/i386-linux-gnu/qt4/plugins/phonon_backend/phonon_gstreamer.so
/usr/share/doc/phonon-backend-gstreamer/changelog.Debian.gz
/usr/share/doc/phonon-backend-gstreamer/copyright
/usr/share/kde4/services/phononbackends/gstreamer.desktop

Changelog

2016-05-18 - Maximiliano Curia <maxy@debian.org>
phonon-backend-gstreamer (4:4.9.0-1) unstable; urgency=medium
[ Maximiliano Curia ]
* New upstream release (4.9.0).
* Update watch file
* Drop automoc build dependency.
Thanks to Александр Волко for reporting (Closes: 824124)
* debian/control: Update Vcs-Browser and Vcs-Git fields
* Bump Standards-Version to 3.9.8
* Update build-deps and deps with the info from cmake
* Migrate to the automatic dbgsym packages
* Drop upstream applied patch: gstreamer-compatibility.patch
* Add missing build dependency, libqt5x11extras5-dev
[ Automatic packaging ]
* Update build-deps and deps with the info from cmake
2015-10-19 - Diane Trout <diane@debian.org>
phonon-backend-gstreamer (4:4.8.2-2) unstable; urgency=medium
* Fix Diane Trout's email address
* Fix ordering in copyright file.
* Create gstreamer-compatibility.patch (Closes: #802107)
2015-08-30 - Felix Geyer <fgeyer@debian.org>
phonon-backend-gstreamer (4:4.8.2-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Make phonon4qt5-backend-gstreamer provide phonon4qt5-backend instead of
phonon-backend.
* Fix the watch file.
* Bump Standards-Version to 3.9.6, no changes needed.
2014-10-01 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
phonon-backend-gstreamer (4:4.8.0-3) unstable; urgency=medium
* Fix phonon-backend-gstreamer-common's Breaks and Replaces with
<< 4:4.8.0-2~ (Closes: #763604).
* Update debian/copyright and switch it to format 1.0.
2014-09-28 - Diane Trout <diane@ghic.org>
phonon-backend-gstreamer (4:4.8.0-2) unstable; urgency=low
[ Pino Toscano ]
* Fix the watch file.
[ Diane Trout ]
* Provide Qt5 build.
This required creating a -common package for the icons shared between
the Qt4 and Qt5 versions.
* Add myself to uploaders.
* Update cmake build-depends version to 2.8.6
* Add gstreamer1.0-pulseaudio as one of the alternative drivers.
[ Lisandro Damián Nicanor Pérez Meyer ]
* Make the backend depend on both the pulseaudio and alsa/audiosink set of
gstreamer plugins (Closes: #762577). The footprint is small and we don't
force pulseaudio on our users.
2014-09-12 - Maximiliano Curia <maxy@debian.org>
phonon-backend-gstreamer (4:4.8.0-1) unstable; urgency=low
[ Maximiliano Curia ]
* New upstream release (4.8.0).
* Update build dependencies.
* Update dependencies to gst1.0.
* Update watch file.
* Update copyright file.
2013-12-09 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
phonon-backend-gstreamer (4:4.7.1-1) unstable; urgency=low
* New upstream release.
* Drop unneeded extra 0 in version.
* Adjust build dependencies versions.
2013-11-05 - Modestas Vainius <modax@debian.org>
phonon-backend-gstreamer (4:4.7.0.0-1) unstable; urgency=low
* New upstream release (4.7.0).
* Team upload.
[ Lisandro Damián Nicanor Pérez Meyer ]
* Add gstreamer0.10-audiosink as an optional depends to the ALSA sink to
phonon-backend-gstreamer (Closes: #680977).
[ Modestas Vainius ]
* Bump Standards-Version to 3.9.5: no further changes needed.
* Require phonon 4.7.0(.0).
2013-06-29 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
phonon-backend-gstreamer (4:4.6.3-1) unstable; urgency=low
* Add myself to Uploaders.
* New upstream release.
* Fix watch file:
- No need to use umangle anymore.
- The tar file is now xz compressed.
* Use debhelper compat 9.
- Bump debian/compat.
- Bump debhelper build dependency.
* Use canonical Vcs URLs.
* Bump Standards-Version to 3.9.4, no changes required.
2012-05-02 - Fathi Boudra <fabo@debian.org>
phonon-backend-gstreamer (4:4.6.0.0-2) unstable; urgency=low
* Team upload.
[ Felix Geyer ]
* Convert for multiarch.
[ Fathi Boudra ]
* Bump Qt build dependency to 4:4.8.1.
* Bump Standards-Version to 3.9.3 (no changes needed).
* Bump debian/compat to 8.

See Also

Package Description
phonon-backend-null_4.9.0-4_i386.deb multimedia framework from KDE - null back-end (no real back-end)
phonon-backend-vlc_0.9.0-2_i386.deb Phonon VLC backend
phonon4qt5-backend-gstreamer_4.9.0-1_i386.deb Phonon Qt5 GStreamer 1.0 backend
phonon4qt5-backend-null_4.9.0-4_i386.deb multimedia framework from KDE using Qt 5 - null back-end (no real back-end)
phonon4qt5-backend-vlc_0.9.0-2_i386.deb Phonon4Qt5 VLC backend
phonon4qt5_4.9.0-4_i386.deb multimedia framework from KDE using Qt 5 - metapackage
phonon_4.9.0-4_i386.deb multimedia framework from KDE using Qt 4 - metapackage
phoronix-test-suite_5.2.1-1ubuntu2_all.deb comprehensive testing and benchmarking platform
photo-uploader_0.12-3_all.deb Command line photo uploader
photocollage_1.4.3-2_all.deb Graphical tool to make photo collage posters
photofloat_0~20120917+dfsg-3_i386.deb Web 2.0 Photo Gallery Done Right via Static JSON & Dynamic Javascript
photon_0.4.6-3.1_all.deb a static HTML gallery generator
photopc_3.07-1_i386.deb Interface to digital still cameras
photoprint_0.4.2~pre2-2.4_i386.deb Image printing utility
phototonic_1.7.20-1_i386.deb image viewer and organizer
Advertisement
Advertisement